﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace Api
{
    [UnmanagedFunctionPointerAttribute(CallingConvention.Cdecl, CharSet = CharSet.Unicode)]
    public delegate void exportViplexCallback(Int16 code, string data);

    class ApiTester
    {
        [DllImport("viplexcore.dll", EntryPoint = "nvInit", CharSet = CharSet.Unicode, CallingConvention = CallingConvention.Cdecl)]
        public static extern int NvInit(string sdkRootDir, int type, int platform);

        [DllImport("viplexcore.dll", EntryPoint = "nvSerchTerminalAsync", CharSet = CharSet.Unicode, CallingConvention = CallingConvention.Cdecl)]
        public static extern void NvSerchTerminalAsync(exportViplexCallback resultCallback);
        
        //insert here
    }
}
